
module iup

REM """
The module iup.bas is based on the iup library.

See the THESAURUS.SB example for usage
"""

' FUNCTION DECLARATIONS 

' Initialize IUP Engine
declare sub 		::Init				alias "Init"				lib "iup"

' Show GUI Object
declare sub 		::Show				alias "Show"				lib "iup"

' Destroy GUI Object
declare sub 		::Destroy			alias "Destroy"  			lib "iup"

' Shutdown IUP Engine
declare sub 		::Close				alias "Close"				lib "iup"

' Create GUI Object
declare sub 		::Create			alias "Create"				lib "iup"

' Add GUI Object to Container
declare sub			::AddChild			alias "AddChild"			lib "iup"

' Waits for event in Event Loop
declare sub			::Wait				alias "Wait"				lib "iup"

' Exits internal IUP Event Loop
declare sub			::ExitLoop			alias "ExitLoop"			lib "iup"

' Retrieves the Next Event from IUP
declare sub			::Event				alias "GetEvent"			lib "iup"

' Set GUI Object's text
declare sub			::SetText			alias "SetText"				lib "iup"

' Get GUI Object's text
declare sub			::GetText			alias "GetText"				lib "iup"

' Get Checked/Unchecked state of Object
declare sub			::GetState			alias "GetState"			lib "iup"

' Set Focuse to specifed Object
declare sub			::SetFocus			alias "Focus"				lib "iup"

' Simple MessageBox
declare sub			::Message			alias "Message"				lib "iup"

' Get CLASSNAME of specified object
declare sub			::GetClass			alias "GetClass"			lib "iup"

' Add text item to ComboBox / ListBox
declare sub			::AddItem			alias "AddItem"				lib "iup"

' Clear ComboBox / ListBox
declare sub			::ClearItems		alias "ClearItems"			lib "iup"

' Set's visibility of Object
declare sub			::Visible			alias "Visible"				lib "iup"

' Set's Enabled state of Object
declare sub			::Enable			alias "Enable"				lib "iup"

' Set's current item in ComboBox / ListBox
declare sub			::SetIndex			alias "SetValue"			lib "iup"

' Retrieve current item index from ComboBox / ListBox / ComboBox
declare sub			::GetIndex			alias "GetState"			lib "iup"
end module
